Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector Class Reference

`#include <ISampleSelector.h>`

## Public Types

enum | TimeIndexType { kFloorIndex , kCeilIndex , kNearIndex }

## Public Member Functions

| ISampleSelector ()
| ISampleSelector (index_t iReqIdx)
| ISampleSelector (chrono_t iReqTime, TimeIndexType iReqIdxType=kNearIndex)
index_t | getRequestedIndex () const
chrono_t | getRequestedTime () const
TimeIndexType | getRequestedTimeIndexType () const
index_t | getIndex (const AbcA::TimeSamplingPtr &iTsmp, index_t iNumSamples) const

## Detailed Description

Definition at line 48 of file ISampleSelector.h.

## Member Enumeration Documentation

## TimeIndexType

enum Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::TimeIndexType

Enumerator
kFloorIndex |
kCeilIndex |
kNearIndex |

Definition at line 51 of file ISampleSelector.h.

## Constructor & Destructor Documentation

## ISampleSelector() [1/3]

Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::ISampleSelector | ( |  | ) |

inline

Definition at line 58 of file ISampleSelector.h.

## ISampleSelector() [2/3]

Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::ISampleSelector | ( | index_t | iReqIdx | ) |

inline

Definition at line 63 of file ISampleSelector.h.

## ISampleSelector() [3/3]

Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::ISampleSelector | ( | chrono_t | iReqTime,
|  | TimeIndexType | iReqIdxType = `kNearIndex`
| ) |  |

inlineexplicit

Definition at line 68 of file ISampleSelector.h.

## Member Function Documentation

## getIndex()

index_t Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::getIndex | ( | const AbcA::TimeSamplingPtr & | iTsmp,
|  | index_t | iNumSamples
| ) |  | const

## getRequestedIndex()

index_t Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::getRequestedIndex | ( |  | ) | const

inline

Definition at line 74 of file ISampleSelector.h.

## getRequestedTime()

chrono_t Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::getRequestedTime | ( |  | ) | const

inline

Definition at line 75 of file ISampleSelector.h.

## getRequestedTimeIndexType()

TimeIndexType Alembic::Abc::ALEMBIC_VERSION_NS::ISampleSelector::getRequestedTimeIndexType | ( |  | ) | const

inline

Definition at line 76 of file ISampleSelector.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/ISampleSelector.h